2018-02-25 03:12 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000401v2.1 Release (Closed)[All Projects] Generalpublic2010-09-21 23:08
Reporterzbyszek 
Assigned Tocaseydk 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Versionv2.1 
Target VersionFixed in Versionv2.1 
Summary0000401: view previous file versions
DescriptionAfter the update still not working from seeing the previous version of the file. Also in version 1.3 as dotproject

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001120

caseydk (administrator)

I've tracked this down to having two pieces:

* First, in the index_table.php file, this line:

if ($file_row['file_lastversion'] > 1) {

is accepting 1.01 as a valid number (true in this case) but not 2.00. Casting it to a float resolves this issue.

* Second, the storage of the multiple versions is incorrect. It appears that at present, a newly uploaded file simply replaces the older version. I suspect this is in the do_files_aed.php controller and/or the core files class.

~0001134

zbyszek (reporter)

Problem solved in attached file to replace compatible with v. 2.0-rew. 1233

~0001135

zbyszek (reporter)

ProjectDesigner correctly shows, the display of the remaining files to be improved (works only with versions of the files after uploading patches)

~0001136

caseydk (administrator)

Thanks. I'll review this in the next few days.

~0001139

zbyszek (reporter)

Keith only here should be improved in other places is everything correctly

~0001143

caseydk (administrator)

Is line 173 the only change? There's no change after applying that update..

~0001144

zbyszek (reporter)

Last edited: 2010-07-23 00:54

The update is to: replace your addedit.php in modules \\ files \\ ..

correct showing after applying the alteration in enclosed pictures

~0001145

zbyszek (reporter)

The change relates to the file: modules/files/addedit.php2 Line 173
with <input type="hidden" name="file_id" value="<?php echo $file->file_id; ?>"
change to:
<input type="hidden" name="file_id" value="<?php echo $file_id; ?>" />

~0001172

caseydk (administrator)

Resolved in r1283 though a bit different than described.

I tweaked it to *always* save a new version of the file, whether it's a new checkin or not. The newest version is always displayed and the older versions are still available.

While this has the potential to have huge numbers of older files sitting around, I believe that it's necessary for data validation/review purposes.
+Notes

-Issue History
Date Modified Username Field Change
2010-04-01 10:27 zbyszek New Issue
2010-04-01 10:27 zbyszek File Added: dotproject 3.png
2010-04-01 19:01 caseydk Category -- none specified -- => Files
2010-07-03 23:11 caseydk Project Pending Requests => v2.0 Release (Closed)
2010-07-07 14:45 caseydk Project v2.0 Release (Closed) => v2.1 Release (Closed)
2010-07-07 14:54 caseydk Note Added: 0001120
2010-07-07 14:55 caseydk Priority normal => high
2010-07-07 14:55 caseydk Severity minor => major
2010-07-08 13:26 caseydk Project v2.1 Release (Closed) => v2.0 Release (Closed)
2010-07-17 23:56 zbyszek Note Added: 0001134
2010-07-17 23:57 zbyszek File Added: addedit.php
2010-07-18 11:29 zbyszek Note Added: 0001135
2010-07-18 19:21 caseydk Note Added: 0001136
2010-07-18 19:22 caseydk Status new => assigned
2010-07-18 19:22 caseydk Assigned To => caseydk
2010-07-21 11:49 zbyszek File Added: web2Project - 15ba.png
2010-07-21 12:10 zbyszek Note Added: 0001139
2010-07-21 19:45 caseydk File Deleted: web2Project - 15ba.png
2010-07-22 22:56 caseydk Note Added: 0001143
2010-07-23 00:39 zbyszek Note Added: 0001144
2010-07-23 00:54 zbyszek Note Edited: 0001144
2010-07-23 00:58 zbyszek File Added: web2Project - 15.png
2010-07-23 00:59 zbyszek File Added: web2Project - 15a.png
2010-07-23 04:51 zbyszek Note Added: 0001145
2010-08-02 22:53 caseydk Note Added: 0001172
2010-08-02 22:53 caseydk Status assigned => resolved
2010-08-02 22:53 caseydk Resolution open => fixed
2010-08-24 14:58 caseydk Project v2.0 Release (Closed) => v2.1 Release (Closed)
2010-09-21 22:11 caseydk Status resolved => closed
2010-09-21 22:39 caseydk Status closed => resolved
2010-09-21 22:51 caseydk Status resolved => closed
2010-09-21 22:51 caseydk Fixed in Version => v2.1
2010-09-21 23:08 caseydk Product Version => v2.1
+Issue History